package com.zhyc.module.frozen.mapper;

import java.util.List;
import com.zhyc.module.frozen.domain.DdFs;

/**
 * 冻精库存Mapper接口
 * 
 * @author ruoyi
 * @date 2025-11-29
 */
public interface DdFsMapper 
{
    /**
     * 查询冻精库存
     * 
     * @param id 冻精库存主键
     * @return 冻精库存
     */
    public DdFs selectDdFsById(Long id);

    /**
     * 查询冻精库存列表
     * 
     * @param ddFs 冻精库存
     * @return 冻精库存集合
     */
    public List<DdFs> selectDdFsList(DdFs ddFs);

    /**
     * 新增冻精库存
     * 
     * @param ddFs 冻精库存
     * @return 结果
     */
    public int insertDdFs(DdFs ddFs);

    /**
     * 修改冻精库存
     * 
     * @param ddFs 冻精库存
     * @return 结果
     */
    public int updateDdFs(DdFs ddFs);

    /**
     * 删除冻精库存
     * 
     * @param id 冻精库存主键
     * @return 结果
     */
    public int deleteDdFsById(Long id);

    /**
     * 批量删除冻精库存
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDdFsByIds(Long[] ids);
}
